QBHDB.H(3)

NAME
qbhdb.h - The handle database is for reference counting objects.

SYNOPSIS
#include <qb/qbhdb.h>

DESCRIPTION

NOTE

Historically, handle database implementation also served internal needs of libqb (e.g. for IPC services tracking), which was eventually replaced with indirection-less reference counters and their direct modifications.

SEE ALSO

qb_hdb_handle_get(3), qb_hdb_iterator_reset(3), qb_hdb_handle_create(3), qb_hdb_handle_destroy(3), qb_hdb_handle_refcount_get(3), qb_hdb_iterator_next(3), qb_hdb_nocheck_convert(3), qb_hdb_create(3), qb_hdb_destroy(3), qb_hdb_base_convert(3), qb_hdb_handle_get_always(3), qb_hdb_handle_put(3)

COPYRIGHT

Copyright (C) 2010-2020 Red Hat, Inc.